
 LinHES - Bug # 915: Exiting frontend with Mythwelcome installed locksup frontend

Status: Closed Priority: Normal
Author: TVBox Category: Other
Created: 04/22/2013 Assignee: jams
Updated: 08/26/2013 Due date:
Description: Installed R8-02-11-2013 and ran /usr/LH/bin/mythwelcome-config.py script. Mythwelcome runs correctly if you 

use the "enter standby mode" to shut down the system. If you use alt-esc and bring up the menu and choose 
"Yes Exit now" the the front end locks up and has to be rebooted. My goal / assumption here is that I can exit 
to the Mythwelcome screen. This was a clean install on a hard drive with no partitions. No data was 
transferred from previous LinHES versions. I can do testing if needed.
TVBox 

History
04/30/2013 05:48 pm - tscholl
The same problem exists without mythwelcome as well.  

When you get to the takes you to the "Do you really want to Exit screen"  If you select "Yes" the frontend hangs.  The reboot and shutdown options do 
work correctly.  

If you kill the frontend it respawns.  

04/30/2013 06:10 pm - brfransen
What theme are you using?  Any clues in the mythfrontend log?  I have been unable to reproduce this on 3 different machines.

05/01/2013 06:26 am - tscholl
I'm using the Default LinHES theme. 

05/01/2013 12:20 pm - TVBox
brfransen wrote:
> What theme are you using?  Any clues in the mythfrontend log?  I have been unable to reproduce this on 3 different machines.

blootube-ng 2.3
Mythbuntu 25.30
MythCenter-wide 1.6

I looked at backed and front end logs and a few more at the same time stamp as when I pushed the the button. This is what always came up with each 
of the above themes

Last Front end Log entries

2013-05-01T13:44:55.452210-05:00 mythmbetest mythfrontend[2817]: N CoreContext mythmainwindow.cpp:2591 (PauseIdleTimer) Resuming idle 
timer
2013-05-01T13:44:55.452259-05:00 mythmbetest mythfrontend[2817]: N CoreContext mythmainwindow.cpp:2591 (PauseIdleTimer) Resuming idle 
timer
2013-05-01T13:44:55.452273-05:00 mythmbetest mythfrontend[2817]: I CoreContext bonjourregister.cpp:27 (~BonjourRegister) Bonjour: De-registering 
service '_mythfrontend._tcp.' on 'Mythfrontend on mythmbetest'
2013-05-01T13:44:55.452285-05:00 mythmbetest mythfrontend[2817]: I CoreContext mythraopdevice.cpp:82 (Cleanup) RAOP Device: Cleaning up.
2013-05-01T13:44:55.452296-05:00 mythmbetest mythfrontend[2817]: I CoreContext mythairplayserver.cpp:260 (Cleanup) AirPay: Cleaning up.
2013-05-01T13:44:55.452306-05:00 mythmbetest mythfrontend[2817]: I CoreContext bonjourregister.cpp:27 (~BonjourRegister) Bonjour: De-registering 
service '_airplay._tcp.' on 'MythTV on mythmbetest'
++++++++++++++++++++++++++++++++++++++++
I did stumble across one way of getting to the Mythwelcome screen. This works only one time.
using Mythbuntu 25.30
change theme to blootube-ng 2.3
then use alt+Esc and yes, exit now.
The Mythwelcome screen that comes up will be in the previous theme fashion (Mythbuntu 25.30).
if you leave that screen and try to exit now again the frontend will lock up.

This has happened randomly and is not consistent at all (twice out of about 15 theme changes).

TVBox

05/01/2013 05:37 pm - tscholl
Ran set_windowmanager.sh enlightenment legacy as suggested by jams.

It get rid of the BIG Messages, but the frontend still hangs when you exit. 

But you can kiil it and is doesn't respawn.

05/28/2013 02:07 pm - jams
- Assignee set to jams

- Target version set to 8.0

- Category set to Other

- Status changed from New to Resolved

The hanging is a problem with mythtv and airplay being enabled.
To disable airplay edit  /etc/profile.d/LinHES-profile.sh  and comment out the airplay line.

Setting this to resolved, as there isn't much that can be done about it other then disabling airplay.

05/29/2013 04:34 pm - jams
- Target version changed from 8.0 to 8.1

08/26/2013 12:57 pm - brfransen
- Status changed from Resolved to Closed

08/26/2013 01:04 pm - brfransen
- Target version changed from 8.1 to 8.0
